Runtime

## org.eclipse.gmf.runtime.common.core.command
Class FileModificationValidator.SyncExecHelper

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.command.FileModificationValidator.SyncExecHelper

All Implemented Interfaces:
  FileModificationValidator.ISyncExecHelper

Enclosing class:
  FileModificationValidator

    public static class FileModificationValidator.SyncExecHelper

extends java.lang.Object
implements FileModificationValidator.ISyncExecHelper

Utility class that is used to bridge those entities that have knowledge of UI and those that have knowledge of editing domains. Uses `FileModificationValidator.ISyncExecHelper`. It is always initialized so we don't have to worry about null checking.

Method Summary
`static FileModificationValidator.ISyncExecHelper` `getInstance()` The result of this method is guaranteed to be non-null since we initialize it with a default implementation.
`java.lang.Runnable` `safeRunnable(java.lang.Runnable runnable)` Provides a default implementation.
`static void` `setInstance(FileModificationValidator.ISyncExecHelper instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FileModificationValidator.ISyncExecHelper getInstance()

  The result of this method is guaranteed to be non-null since we initialize it with a default implementation.

  Returns:
    the ISyncExecHelper instance

### setInstance

    public static void setInstance(FileModificationValidator.ISyncExecHelper instance)

### safeRunnable

    public java.lang.Runnable safeRunnable(java.lang.Runnable runnable)

  Provides a default implementation.

  Specified by:
    `safeRunnable` in interface `FileModificationValidator.ISyncExecHelper`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.